function [Tkon Qzac] = hranice_1(vyrez);
global konst;



vyrez = vyrez-mean(vyrez); %korekce izoelektricke linie


%figure(2)
%plot(vyrez);hold on;
[m i] = max(vyrez); % plot(i,m,'go');hold on; %nalezeni R vlny
[n j] = min(vyrez(1:i));%  plot(j,n,'go');hold on; %nalezeni vrcholu vlny Q

%-------------korekce zaporne vlny T
[o1] = max(vyrez(i+100:end-round(300/konst)));  
[o2] = min(vyrez(i+100:end-round(300/konst)));

korek = vyrez;

if (abs(o2))>(abs(o1))
    korek(i+100:end-round(300/konst))=vyrez(i+100:end-round(300/konst)).*-1;
end
%--------------aproximace vlny Q

[o k] = max(korek(i+100:end-round(300/konst)));

%plot(k+i+100,o,'go');hold on;
xx=j-10; yy=j+10;
fzac = aprox(xx,yy,vyrez);
z = (xx:1:yy); 
%plot(z,fzac,'black');hold on;
%--------------aproximace vlny T

zz=k+i+100;xkonec=zz;ykonec=zz+round(60/konst);
fkon = aprox(xkonec,ykonec,vyrez);
zkon = (xkonec:1:ykonec); % plot(zkon,fkon,'black');hold on;

prah = min(vyrez(ykonec:ykonec+round(100/konst)));
lajna = (zeros(length(vyrez))+prah);
%plot(lajna,'r');hold on;



%-------------nalezeni potaceniho bodu
Qzac = bod(z(1),z(3),fzac(1),fzac(3),prah); 


%-------------nalezeni koncoveho bodu
Tkon = bod(zkon(end-1),zkon(1),fkon(end-1),fkon(1),prah); 
end

